%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  datasauRus
%global packver   0.1.8
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.8
Release:          1%{?dist}%{?buildtag}
Summary:          Datasets from the Datasaurus Dozen

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch

%description
The Datasaurus Dozen is a set of datasets with the same summary
statistics. They retain the same summary statistics despite having
radically different distributions.  The datasets represent a larger and
quirkier object lesson that is typically taught via Anscombe's Quartet
(available in the 'datasets' package). Anscombe's Quartet contains four
very different distributions with the same summary statistics and as such
highlights the value of visualisation in understanding data, over and
above summary statistics. As well as being an engaging variant on the
Quartet, the data is generated in a novel way. The simulated annealing
process used to derive datasets from the original Datasaurus is detailed
in "Same Stats, Different Graphs: Generating Datasets with Varied
Appearance and Identical Statistics through Simulated Annealing"
<doi:10.1145/3025453.3025912>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
